## gate.creole.tokeniser
Class UnicodeType

    java.lang.Object
      |
      +--gate.creole.tokeniser.UnicodeType

class UnicodeType
extends Object

Used as an object wrapper that holds an Unicode type (the byte value of the static member of java.lang.Character).

Field Summary
`private static boolean` `DEBUG` Debug flag
`(package private) int` `type`

Constructor Summary
`(package private)` `UnicodeType(int type)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### type

    int type

Constructor Detail

### UnicodeType

    UnicodeType(int type)